local toggle_colorcolumn = function()
  if vim.o.colorcolumn == "" then
    vim.o.colorcolumn = "+1" -- one after 'textwidth'
  else
    vim.o.colorcolumn = "" -- none
  end
end

local ui = require("fschauen.util.icons").ui

return {
  "lukas-reineke/virt-column.nvim",

  event = { "BufReadPost", "BufNewFile" },

  keys = {
    { "<leader>sc", toggle_colorcolumn, desc = ui.Toggle .. " toggle virtual colunn" },
  },

  opts = function(_, opts)
    return vim.tbl_deep_extend("force", opts or {}, {
      char = ui.LineMiddle,
    })
  end,
}
